[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

current failure with --apt-release/--apt-pocket



Maybe one of the readers here is better in telling what really is going
wrong with my implementation of --apt-pocket. The failure log is below.
I don't really know how to read it and am not even sure which non-zero
exit code is the fatal one. I assume the code that fails is in
/tmp/autopkgtest.1X0U7n/build.6aH/real-tree/debian/tests/pass. Is there
a way to see the content of that file, such that I may see what I am
doing wrong? Even with --shell-fail, that dir is cleaned up.

Paul

======================================================================
FAIL: test_apt_pocket_selected (__main__.ChrootRunner)
--apt-pocket with package list
----------------------------------------------------------------------
Traceback (most recent call last):
  File
"/tmp/autopkgtest-virt-lxc.shared.3d3ar6c1/downtmp/tree/tests/adt-run",
line 1833, in test_apt_pocket_selected
    self.assertEqual(code, 0, err)
AssertionError: 4 != 0 : adt-run: WARNING: "adt-run" is deprecated,
please use "autopkgtest" (see manpage)
adt-run: DBG: Parsed options: Namespace(apt_pocket=['proposed=foo,bar'],
apt_release=[], auto_control=True, build_parallel=None, copy=[], env=[],
gainroot=None, logfile=None, output_dir=None, set_lang=None,
setup_commands=[], setup_commands_boot=[], shell=False,
shell_fail=False, summary=None, timeout_build=None, timeout_copy=None,
timeout_factor=1.0, timeout_install=None, timeout_short=None,
timeout_test=None, user=None, verbosity=2)
adt-run: DBG: Remaining arguments: ['-B',
'--unbuilt-tree=/tmp/autopkgtest.test.xq0l1vov/testpkg']
adt-run: DBG: Interpreted actions: ['--no-built-binaries',
'--unbuilt-tree=/tmp/autopkgtest.test.xq0l1vov/testpkg']
adt-run: DBG: Virt runner arguments: ['chroot',
'/tmp/autopkgtest.test.xq0l1vov/chroot']
adt-run: DBG: testbed init
adt-run [20:54:40]: git checkout: cannot determine current HEAD
adt-run [20:54:40]: host autopkgtest-lxc-kzgeal; command line:
/tmp/autopkgtest-virt-lxc.shared.3d3ar6c1/downtmp/tree/runner/adt-run -B
-d --unbuilt-tree=/tmp/autopkgtest.test.xq0l1vov/testpkg --apt-pocket
proposed=foo,bar --- chroot /tmp/autopkgtest.test.xq0l1vov/chroot
adt-run: DBG: got reply from testbed: ok
adt-run: DBG: testbed open, scratch=None
adt-run: DBG: sending command to testbed: open
adt-run: DBG: got reply from testbed: ok /tmp/autopkgtest.1X0U7n
adt-run: DBG: sending command to testbed: print-execute-command
adt-run: DBG: got reply from testbed: ok
chroot,/tmp/autopkgtest.test.xq0l1vov/chroot
adt-run: DBG: sending command to testbed: capabilities
adt-run: DBG: got reply from testbed: ok root-on-testbed
downtmp-host=/tmp/autopkgtest.test.xq0l1vov/chroot//tmp/autopkgtest.1X0U7n
adt-run: DBG: testbed capabilities: ['root-on-testbed',
'downtmp-host=/tmp/autopkgtest.test.xq0l1vov/chroot//tmp/autopkgtest.1X0U7n']
adt-run [20:54:40]: @@@@@@@@@@@@@@@@@@@@ test bed setup
adt-run: DBG: testbed command ['sh', '-ec', "SRCS=$(ls
/etc/apt/sources.list /etc/apt/sources.list.d/*.list 2>/dev/null||
true); sed -rn '/^(deb|deb-src)
.*(ubuntu.com|debian.org|ftpmaster|file:\\/\\/\\/tmp\\/testarchive)/ {
s/^[^ ]+ +(\\[.*\\] *)?[^ ]* +([^ -]+) +.*$/\\2/p}' $SRCS | head -n1"],
kind short, sout pipe, serr pipe, env []
adt-run: DBG: testbed command exited with code 0
adt-run: DBG: testbed command ['sh', '-ec', 'ls --format=horizontal
/etc/apt/sources.list.d/*.list 2>/dev/null || true'], kind short, sout
pipe, serr pipe, env []
adt-run: DBG: testbed command exited with code 0
adt-run: DBG: testbed command ['sh', '-ec', "sed -rn 's/^(deb|deb-src)
+(\\[.*\\] *)?([^
]*(ubuntu.com|debian.org|ftpmaster|file:\\/\\/\\/tmp\\/testarchive)[^
]*) +([^ -]+) +(.*)$/\\1 \\2\\3 fluffy-proposed \\6/p'
/etc/apt/sources.list  > /etc/apt/sources.list.d/fluffy-proposed.list;
for retry in 1 2 3; do apt-get --no-list-cleanup -o
Dir::Etc::sourcelist=/etc/apt/sources.list.d/fluffy-proposed.list -o
Dir::Etc::sourceparts=/dev/null update 2>&1 && break || sleep 15;
done"], kind short, sout raw, serr pipe, env []
adt-run: DBG: testbed command exited with code 0
adt-run: DBG: testbed command ['sh', '-ec', 'mkdir -p
/etc/apt/preferences.d; PKGS="foo bar"; printf "Package: $PKGS\\nPin:
release a=fluffy-proposed\\nPin-Priority: 990\\n\\nPackage: *\\nPin:
release a=fluffy\\nPin-Priority: 900\\n\\nPackage: *\\nPin: release
a=fluffy-updates\\nPin-Priority: 900\\n\\nPackage: *\\nPin: release
a=fluffy-proposed\\nPin-Priority: 800\\n" >
/etc/apt/preferences.d/autopkgtest-fluffy-proposed; '], kind short, sout
raw, serr pipe, env []
adt-run: DBG: testbed command exited with code 0
adt-run: DBG: testbed command ['bash', '-ec', 'for d in /boot /etc/init
/etc/init.d /etc/systemd/system /lib/systemd/system; do [ ! -d $d ] ||
touch -r $d /tmp/autopkgtest.1X0U7n/${d//\\//_}.stamp; done'], kind
short, sout raw, serr pipe, env []
adt-run: DBG: testbed command exited with code 0
adt-run: DBG: testbed command ['dpkg', '--print-architecture'], kind
short, sout pipe, serr pipe, env []
adt-run: DBG: testbed command exited with code 0
adt-run [20:54:40]: testbed dpkg architecture: powerpc
adt-run: DBG: testbed command ['which', 'eatmydata'], kind short, sout
pipe, serr pipe, env []
adt-run: DBG: testbed command exited with code 1
adt-run: DBG: testbed command ['which', 'dpkg-query'], kind short, sout
pipe, serr pipe, env []
adt-run: DBG: testbed command exited with code 0
adt-run: DBG: testbed command ['sh', '-ec', "dpkg-query --show -f
'${Package}\\t${Version}\\n' >
/tmp/autopkgtest.1X0U7n/testbed-packages"], kind short, sout raw, serr
pipe, env []
adt-run: DBG: testbed command exited with code 0
adt-run: DBG: sending command to testbed: copyup
/tmp/autopkgtest.1X0U7n/testbed-packages
/tmp/autopkgtest.output.d25oumww/testbed-packages
adt-run: DBG: got reply from testbed: ok
adt-run: DBG: testbed command ['uname', '-srv'], kind short, sout pipe,
serr pipe, env []
adt-run: DBG: testbed command exited with code 0
adt-run [20:54:40]: testbed running kernel: Linux 4.8.0-2-amd64 #1 SMP
Debian 4.8.15-2 (2017-01-04)
adt-run: DBG: testbed command ['sh', '-c', 'nproc; cat /proc/cpuinfo
2>/dev/null || true'], kind short, sout pipe, serr pipe, env []
adt-run: DBG: testbed command exited with code 0
adt-run: DBG: Binaries: initialising
adt-run [20:54:40]: @@@@@@@@@@@@@@@@@@@@ unbuilt-tree
/tmp/autopkgtest.test.xq0l1vov/testpkg
adt-run: DBG: blame += /tmp/autopkgtest.test.xq0l1vov/testpkg
adt-run: DBG: testbed reset: modified=False, deps_installed=[](r:
False), deps_new=[](r: False)
adt-run: DBG: testbed command ['mkdir', '-p',
'/tmp/autopkgtest.1X0U7n'], kind short, sout raw, serr pipe, env []
adt-run: DBG: testbed command exited with code 0
adt-run: DBG: sending command to testbed: copydown
/tmp/autopkgtest.test.xq0l1vov/testpkg/
/tmp/autopkgtest.1X0U7n/ubtree-testpkg/
adt-run: DBG: got reply from testbed: ok
adt-run: DBG: install_deps: deps_new=[], recommends=False
adt-run: DBG: testbed command ['which', 'dpkg-source'], kind short, sout
pipe, serr pipe, env []
adt-run: DBG: testbed command exited with code 0
adt-run: DBG: testbed command ['sh', '-ec', 'exec 3>&1 >&2; set -x; cd
/; builddir=$(mktemp -d /tmp/autopkgtest.1X0U7n/build.XXX); cd
$builddir; cp -rd --preserve=timestamps --
"/tmp/autopkgtest.1X0U7n/ubtree-testpkg" real-tree; [ -x
real-tree/debian/rules ] && dpkg-source --before-build real-tree; chmod
-R a+rX .; cd [a-z0-9]*/.; pwd >&3; sed -n "1 {s/).*//; s/ (/\\n/; p}"
debian/changelog >&3; set +e; grep -q
"^Restrictions:.*\\bbuild-needed\\b" debian/tests/control 2>/dev/null;
echo $? >&3'], kind build, sout pipe, serr raw, env []
+ cd /
+ mktemp -d /tmp/autopkgtest.1X0U7n/build.XXX
+ builddir=/tmp/autopkgtest.1X0U7n/build.6aH
+ cd /tmp/autopkgtest.1X0U7n/build.6aH
+ cp -rd --preserve=timestamps -- /tmp/autopkgtest.1X0U7n/ubtree-testpkg
real-tree
+ [ -x real-tree/debian/rules ]
+ dpkg-source --before-build real-tree
fake-dpkg-source: --before-build real-tree
+ chmod -R a+rX .
+ cd real-tree/.
+ pwd
+ sed -n 1 {s/).*//; s/ (/\n/; p} debian/changelog
+ set +e
+ grep -q ^Restrictions:.*\bbuild-needed\b debian/tests/control
+ echo 1
adt-run: DBG: testbed command exited with code 0
adt-run [20:54:40]: testing package testpkg version 1
adt-run [20:54:40]: build not needed
adt-run: DBG: sending command to testbed: copyup
/tmp/autopkgtest.1X0U7n/build.6aH/real-tree/
/tmp/autopkgtest.output.d25oumww/tests-tree/
adt-run: DBG: got reply from testbed: ok
adt-run: DBG: Test defined: name pass path debian/tests/pass command
"None" restrictions ['needs-root'] features [] depends [] clicks []
installed clicks []
adt-run [20:54:40]: test pass: preparing testbed
adt-run: DBG: testbed reset: modified=False, deps_installed=[](r:
False), deps_new=[](r: False)
adt-run: DBG: Binaries: no registered binaries, not publishing anything
adt-run: DBG: install_deps: deps_new=[], recommends=False
adt-run: DBG: testbed command ['sh', '-ec', '[ -d /var/cache/apparmor -a
-d /var/lib/apparmor/clicks -a ! -e /var/cache/apparmor/click-ap.rules ]
&& type aa-clickhook >/dev/null 2>&1'], kind short, sout raw, serr raw,
env []
adt-run: DBG: testbed command exited with code 1
adt-run: DBG: testbed does not have AppArmor/click or already has
Autopilot click rules, no need to adjust rules
adt-run: DBG: testbed command ['which', 'dpkg-query'], kind short, sout
pipe, serr pipe, env []
adt-run: DBG: testbed command exited with code 0
adt-run: DBG: testbed command ['sh', '-ec', "dpkg-query --show -f
'${Package}\\t${Version}\\n' >
/tmp/autopkgtest.1X0U7n/pass-packages.all"], kind short, sout raw, serr
pipe, env []
adt-run: DBG: testbed command exited with code 0
adt-run: DBG: sending command to testbed: copyup
/tmp/autopkgtest.1X0U7n/pass-packages.all
/tmp/autopkgtest.output.d25oumww/pass-packages.all
adt-run: DBG: got reply from testbed: ok
adt-run: DBG: testbed command ['test', '-e',
'/tmp/autopkgtest.1X0U7n/build.6aH/real-tree'], kind short, sout raw,
serr raw, env []
adt-run: DBG: testbed command exited with code 0
adt-run: DBG: copydown: tb path
/tmp/autopkgtest.1X0U7n/build.6aH/real-tree already exists
adt-run [20:54:40]: test pass: [-----------------------
adt-run: DBG: testbed command ['su', '-s', '/bin/bash', 'root', '-c',
'set -e; export USER=`id -nu`; . /etc/profile >/dev/null 2>&1 || true;
. ~/.profile >/dev/null 2>&1 || true;
buildtree="/tmp/autopkgtest.1X0U7n/build.6aH/real-tree"; mkdir -p -m
1777 -- "/tmp/autopkgtest.1X0U7n/pass-artifacts"; export
AUTOPKGTEST_ARTIFACTS="/tmp/autopkgtest.1X0U7n/pass-artifacts"; export
ADT_ARTIFACTS="$AUTOPKGTEST_ARTIFACTS"; mkdir -p -m 755
"/tmp/autopkgtest.1X0U7n/autopkgtest_tmp"; export
AUTOPKGTEST_TMP="/tmp/autopkgtest.1X0U7n/autopkgtest_tmp"; export
ADTTMP="$AUTOPKGTEST_TMP"; export DEBIAN_FRONTEND=noninteractive; export
LANG=C.UTF-8; export DEB_BUILD_OPTIONS=parallel=2; unset LANGUAGE
LC_CTYPE LC_NUMERIC LC_TIME LC_COLLATE   LC_MONETARY LC_MESSAGES
LC_PAPER LC_NAME LC_ADDRESS   LC_TELEPHONE LC_MEASUREMENT
LC_IDENTIFICATION LC_ALL;rm -f /tmp/autopkgtest_script_pid; set -C; echo
$$ > /tmp/autopkgtest_script_pid; set +C; trap "rm -f
/tmp/autopkgtest_script_pid" EXIT INT QUIT PIPE; cd "$buildtree"; export
AUTOPKGTEST_NORMAL_USER=; export ADT_NORMAL_USER=; chmod +x
/tmp/autopkgtest.1X0U7n/build.6aH/real-tree/debian/tests/pass; touch
/tmp/autopkgtest.1X0U7n/pass-stdout /tmp/autopkgtest.1X0U7n/pass-stderr;
/tmp/autopkgtest.1X0U7n/build.6aH/real-tree/debian/tests/pass 2> >(tee
-a /tmp/autopkgtest.1X0U7n/pass-stderr >&2) > >(tee -a
/tmp/autopkgtest.1X0U7n/pass-stdout);'], kind test, sout raw, serr raw,
env []
adt-run: DBG: testbed command exited with code 1
adt-run [20:54:41]: test pass: -----------------------]
adt-run: DBG: testbed executing test finished with exit status 1
adt-run: DBG: sending command to testbed: copyup
/tmp/autopkgtest.1X0U7n/pass-stdout
/tmp/autopkgtest.output.d25oumww/pass-stdout
adt-run: DBG: got reply from testbed: ok
adt-run: DBG: sending command to testbed: copyup
/tmp/autopkgtest.1X0U7n/pass-stderr
/tmp/autopkgtest.output.d25oumww/pass-stderr
adt-run: DBG: got reply from testbed: ok
adt-run [20:54:41]: test pass:  - - - - - - - - - - results - - - - - -
- - - -
adt-run: DBG: sending command to testbed: copyup
/tmp/autopkgtest.1X0U7n/pass-artifacts/
/tmp/autopkgtest.output.d25oumww/artifacts/
adt-run: DBG: got reply from testbed: ok
adt-run: DBG: testbed command ['rm', '-rf',
'/tmp/autopkgtest.1X0U7n/pass-artifacts',
'/tmp/autopkgtest.1X0U7n/autopkgtest_tmp'], kind short, sout raw, serr
pipe, env []
adt-run: DBG: testbed command exited with code 0
adt-run: DBG: no need to restore click AppArmor profiles
adt-run: DBG: needs_reset, previously=False, requested by run_tests()
line 169
adt-run [20:54:41]: @@@@@@@@@@@@@@@@@@@@ summary
pass                 FAIL non-zero exit status 1
adt-run: DBG: testbed stop
adt-run: DBG: testbed close, scratch=/tmp/autopkgtest.1X0U7n
adt-run: DBG: sending command to testbed: close
adt-run: DBG: got reply from testbed: ok
adt-run: DBG: sending command to testbed: quit

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 488 bytes
Desc: OpenPGP digital signature
URL: <http://lists.alioth.debian.org/pipermail/autopkgtest-devel/attachments/20170118/acccdeab/attachment-0001.sig>


Reply to: